<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginStart="16dp"
    android:layout_marginTop="16dp"
    android:layout_marginEnd="6dp"
    android:layout_marginBottom="16dp"
    android:orientation="vertical"
    tools:ignore="RtlSymmetry">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <RelativeLayout
            android:layout_width="66dp"
            android:layout_height="80dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@drawable/dr_placeholder_bg"
                android:gravity="center">

                <ImageView
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:src="@drawable/file_document" />

            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@drawable/dr_item_img_frame">

                <ImageView
                    android:id="@+id/tvFileImg"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_margin="0.5dp" />
            </RelativeLayout>

            <LinearLayout
                android:id="@+id/lock_layout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@drawable/dr_item_lock_bg"
                android:gravity="center"
                android:visibility="gone">

                <ImageView
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:src="@drawable/icon_lock_item" />
            </LinearLayout>

            <ImageView
                android:id="@+id/collectState"
                android:layout_width="18dp"
                android:layout_height="18dp"
                android:layout_alignParentEnd="true"
                android:layout_alignParentBottom="true"
                android:background="@drawable/dr_collect_state_bg"
                android:padding="2dp"
                android:src="@drawable/collected_white" />

        </RelativeLayout>

        <RelativeLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginStart="16dp"
            android:layout_marginEnd="6dp"
            android:layout_weight="1"
            android:orientation="vertical">

            <TextView
                android:id="@+id/tvFileName"
                style="@style/TextViewFont_PopSemiBold"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="2dp"
                android:ellipsize="middle"
                android:maxLines="1"
                android:text="@string/app_name"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/tvFileName"
                android:layout_marginTop="2dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tvFileDate"
                    style="@style/TextViewFont_PopMedium"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="2月27,2025"
                    android:textColor="@color/black_60"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/tvFileSize"
                    style="@style/TextViewFont_PopMedium"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="8dp"
                    android:text="8.1MB"
                    android:textColor="@color/black_60"
                    android:textSize="12sp" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentBottom="true"
                android:layout_marginBottom="2dp"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/icon_file_gray" />

                <TextView
                    android:id="@+id/fileTv"
                    style="@style/TextViewFont_PopMedium"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="4dp"
                    android:text="download"
                    android:textColor="@color/black_60"
                    android:textSize="12sp" />

            </LinearLayout>

        </RelativeLayout>

        <LinearLayout
            android:id="@+id/moreBtn"
            android:layout_width="44dp"
            android:layout_height="44dp"
            android:background="@drawable/dr_click_effect_oval_transparent"
            android:gravity="center">

            <ImageView
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:src="@drawable/more" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/checkBtn"
            android:layout_width="44dp"
            android:layout_height="44dp"
            android:background="@drawable/dr_click_effect_oval_transparent"
            android:gravity="center">

            <CheckBox
                android:id="@id/checkbox"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:button="@drawable/checkbox_selector"
                android:clickable="false"
                android:duplicateParentState="true"
                android:focusable="false" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/deleteBtn"
            android:layout_width="44dp"
            android:layout_height="44dp"
            android:background="@drawable/dr_click_effect_oval_transparent"
            android:gravity="center">

            <ImageView
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:src="@drawable/icon_delete_circular" />
        </LinearLayout>

    </LinearLayout>


    <View
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:layout_marginTop="16dp"
        android:layout_marginEnd="16dp"
        android:background="@color/line_color"
        android:visibility="gone" />

</LinearLayout>
